Name: kde-edu-kmplot
Summary: Mathematical Function Plotter 
Version: 14.12.3
Release: %mkrel 3
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kmplot-%{version}.tar.xz
BuildRequires: kdelibs-devel
Requires: kde-runtime

%description
%{summary}.

%files
%defattr(-,root,root)
%{_kde_bindir}/kmplot
%{_kde_libdir}/kde4/libkmplotpart.*
%{_kde_datadir}/applications/kde4/kmplot.desktop
%{_kde_datadir}/appdata/kmplot.appdata.xml
%{_kde_datadir}/config.kcfg/kmplot.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*
%{_kde_iconsdir}/hicolor/*/*/kmplot.*
%{_kde_appsdir}/kmplot/
%{_kde_datadir}/kde4/services/kmplot_part.desktop
%{_mandir}/man1/kmplot.*
%{_kde_docdir}/HTML/*/kmplot/*

%prep
%setup -q -n kmplot-%version
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

